Create run
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": "<unknown>",
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
]
}
'{
"run": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"releaseUuid": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"batchUuid": "<string>",
"traceUuid": "<string>",
"temporalWorkflowId": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"contextS3Filename": "<string>",
"computedConfigsS3Filename": "<string>",
"parentUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"errorMessage": "<string>",
"executions": [
{
"nodeUuid": "<string>",
"nodeSlug": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nextNodeUuid": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"iconUrl": "<string>",
"creditsUsedCount": 123,
"nodeWaitUntilFinished": true,
"nodeKind": "<string>",
"nodeActionSlug": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
}Orchestration - Runs
Create run
Create a new orchestration run
POST
/
orchestration
/
runs
Create run
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": "<unknown>",
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
]
}
'{
"run": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"releaseUuid": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"batchUuid": "<string>",
"traceUuid": "<string>",
"temporalWorkflowId": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"contextS3Filename": "<string>",
"computedConfigsS3Filename": "<string>",
"parentUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"errorMessage": "<string>",
"executions": [
{
"nodeUuid": "<string>",
"nodeSlug": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nextNodeUuid": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"iconUrl": "<string>",
"creditsUsedCount": 123,
"nodeWaitUntilFinished": true,
"nodeKind": "<string>",
"nodeActionSlug": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Input data for the run.
Workflow identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Release identifier to run.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Custom nodes to use for the run.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Response
Successful response
Created run details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

